ncpd(8)

NAME
ncpd - Daemon which handles the serial link to a Psion

SYNOPSIS
ncpd [-V] [-h] [-v log-class] [-d] [-e] [-p [host:]port] [-s device] [-b baud-rate] [long-options]

DESCRIPTION
ncpd is the daemon which handles the serial link to your Psion. It listens at port 7501 for local connections and provides basic PLP/NCP services for plpfuse and plpftp and other front-ends. It auto-connects to the psion, even after unplugging/switching off therefore it can run all the time if you can dedicate a serial device to it.

OPTIONS

-V, --version
    Display the version and exit

-h, --help
    Display a short help text and exit.

-e, --autoexit
    Exit automatically if the device is disconnected. Furthermore, use the current tty as I/O device. This option is intended for starting ncpd on demand using mgetty's auto-detect function. (A patch for mgetty is needed for that).

-v, --verbose=log-class
    Increase the logging level of the program. the possible values for log-class are:

    nl  Set NCP debug level to LOG

    nd  Set NCP debug level to DEBUG

    ll  Set Link debug level to LOG

    ld  Set Link debug level to DEBUG

    pl  Set Packet debug level to LOG

    pd  Set Packet debug level to DEBUG

    ph  Set Packet debug level to HANDSHAKE

    m   Set overall debug level to verbose

    all Turn on all the above logging on.

-d, --dontfork
    Do not background the daemon.

-p, --port=[host:]port
    Specify the port to listen on - by default the value for the host is 127.0.0.1 and the value for the port is looked up in /etc/services using the key psion/tcp. If it is not found there, a default value of 7501 is used.

-s, --serial=device
    Specify the serial device to use to connect to the Psion - this defaults to /dev/ttyS0

-b, --baudrate=baud-rate
    Specify the baud rate to use for the serial connection. If the word auto is specified, ncpd cycles through baud-rates of 115200, 57600, 38400, 19200 and 9600 baud. Default setting is auto.

SEE ALSO
plpfuse(8), plpprintd(8), plpftp(1), sisinstall(1)

AUTHOR
Fritz Elfert
Heavily based on p3nfsd by Rudolf Koenig (rfkoenig@immd4.informatik.uni-erlangen.de) and plp_1_7 by Philip Proudman (phil@proudman51.freeserve.co.uk)
Patches from Matt Gumbley (matt@gumbley.demon.co.uk)
Man page by John Lines (john+plpman@paladin.demon.co.uk)